스트림 규칙 개수 가져오기
curl --request GET \
--url https://api.x.com/2/tweets/search/stream/rules/counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/search/stream/rules/counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/search/stream/rules/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"all_project_client_apps": [
{
"client_app_id": "<string>",
"rule_count": 123
}
],
"cap_per_client_app": 123,
"cap_per_project": 123,
"client_app_rules_count": {
"client_app_id": "<string>",
"rule_count": 123
},
"project_rules_count": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}필터링된 스트림
스트림 규칙 개수 가져오기
필터링 스트림의 활성 규칙 세트에 포함되어 있는 규칙 수를 조회합니다.
GET
/
2
/
tweets
/
search
/
stream
/
rules
/
counts
스트림 규칙 개수 가져오기
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
표시할 RulesCount 필드를 쉼표로 구분한 목록입니다. RulesCount 객체에서 사용할 수 있는 필드입니다.
Minimum array length:
1사용 가능한 옵션:
all_project_client_apps, cap_per_client_app, cap_per_project, client_app_rules_count, project_rules_count 예시:
[ "all_project_client_apps", "cap_per_client_app", "cap_per_project", "client_app_rules_count", "project_rules_count" ]
응답
요청이 성공적으로 처리되었습니다.
애플리케이션 및 프로젝트 수준에서의 사용자 정의 스트림 필터링 규칙 개수입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I